Bug 6478 - purge_suggestions.pl needs an example crontab
Summary: purge_suggestions.pl needs an example crontab
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) trivial (vote)
Assignee: Liz Rea
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-07 17:01 UTC by Liz Rea
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6478 -- add purge_suggestions.pl to the crontab.example (998 bytes, patch)
2011-06-07 17:07 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 6478 -- add purge_suggestions.pl to the crontab.example (1011 bytes, patch)
2011-06-08 01:48 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 6478 -- add purge_suggestions.pl to the crontab.example (1.12 KB, patch)
2011-06-08 20:36 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 6478 -- add purge_suggestions.pl to the crontab.example (1.13 KB, patch)
2011-06-14 22:21 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-06-07 17:01:24 UTC
Add purge_suggestions.pl to the example crontab
Comment 1 Liz Rea 2011-06-07 17:07:42 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-06-08 01:48:43 UTC Comment hidden (obsolete)
Comment 3 Ian Walls 2011-06-08 14:11:20 UTC
Does not correctly document the use of the --days flag, which is required for the script to actually purge suggestions and not just show the help menu.
Comment 4 Liz Rea 2011-06-08 20:36:14 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2011-06-14 22:21:47 UTC
Created attachment 4466 [details] [review]
Bug 6478 -- add purge_suggestions.pl to the crontab.example

To test:
Verify that there is a listed job for purge_suggestions.pl in the crontab.example

Bug 6478 - adding --days support and help verbiage to the cronjob.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Ian Walls 2011-07-15 11:33:51 UTC
Thanks for fixing that.  Marking as Passed QA
Comment 7 Chris Cormack 2011-07-16 08:24:33 UTC
Patch pushed, please test
Comment 8 Magnus Enger 2011-07-16 10:13:24 UTC
Looks good.